#include <bits/stdc++.h>
#define mod 1000000007
#define pb push_back
#define mid(l, r) ((l)+(r))/2
#define len(a) (a).length()
#define sz(a) (a).size()
#define xx first
#define yy second
#define inf int(2e9)
#define ff(i, a, b) for(int (i) = (a); (i) <= (b); ++(i))
#define fb(i, a, b) for(int (i) = (a); (i) >= (b); --(i))


using namespace std;

typedef long long ll;
typedef pair<int,int> pii;

template<class T>
void print(const T niz[], const int siz)
{
    for(int i=0;i<siz;i++)
        cout << niz[i] << " ";
    cout << endl;
}

ll a,b,c;
ll niz[4];
string tstring(ll x){
    string pom = "";
    while(x > 0){
        ll tr = x%10;
        pom += char(tr + '0');
        x /= 10;
    }
    reverse(pom.begin(), pom.end());
    return pom;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin >> a >> b >> c;
    niz[0] = a;
    niz[1] = b;
    niz[2] = c;
    sort(niz, niz + 3);
    string najveci = "";
    bool ima = 0;
    do{
        string prvi = tstring(niz[0]);
        string drugi = tstring(niz[1]);
        string treci = tstring(niz[2]);
        prvi += drugi;
        prvi += treci;
        if(ima == 0){
            ima = 1;
            najveci = prvi;
        }
        else
            najveci = max(najveci, prvi);

    }while(next_permutation(niz, niz + 3));
    cout << najveci << endl;
    return 0;
}